For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList flows
      • POSTCreate flow
      • GETGet flow details
      • PUTUpdate flow
      • DELDelete flow
      • GETExport flow for runtime (limited preview)
      • POSTPublish flow
      • POSTRun flow on records of a type
      • GETList flow step results
Dashboard
LogoLogo
Runtype APIFlows

Publish flow

POST
/v1/flows/:id/publish
POST
/v1/flows/:id/publish
$curl -X POST https://api.runtype.com/v1/flows/id/publish \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "message": "Flow draft version 3.2 has been successfully published.",
3 "publishedVersionId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
4 "success": true
5}
Promote a flow draft version to published.
Was this page helpful?
Previous

Run flow on records of a type

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Flow published
messagestring
publishedVersionIdstring
successboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error